    NAME
         qrstat - show the status of Sun Grid Engine Advance Reserva-
         tions (AR)

    SYNTAX
         qrstat [-ar ar_id,...] [-help] [-u user,...] [-explain]

    DESCRIPTION
         qrstat shows the current status of the  available  Sun  Grid
         Engine  ARs.   The  selection  option  -ar allows you to get
         information about specific AR.

         The administrator and the user may define  files  which  can
         contain  any  of the options described below. A cluster-wide
         sge_qrstat      file      may      be      placed      under
         $SGE_ROOT/$SGE_CELL/common/sge_qrstat The user private  file
         is searched at the  location  $HOME/.sge_qrstat.   The  home
         directory  request  file has the highest precedence over the
         cluster global file.  Command line can be used  to  override
         the flags contained in the files.

    OPTIONS
         -ar ar_id,...
              Prints various information about the ARs identified  by
              given ar_id list.

         -explain
              Displays the reason for the error state of an AR.  Pos-
              sible  reasons are the unknown state of a host or queue
              instance.

              The output format for the alarm reasons is one line per
              reason.

         -help
              Prints a listing of all options.

         -u user,...
              Display information only for those ARs created  by  the
              users from the given user list.

              The string  $user is  a  placeholder  for  the  current
              username. An asterisk "*" can be used as username wild-
              card to request that all users' ARs be  displayed.  The
              default value for this switch is "-u $user".

         -xml This option can be used  with  all  other  options  and
              changes  the output to XML. The used schemas are refer-
              enced in the XML  output.  The  output  is  printed  to
              stdout.

    OUTPUT FORMATS
         Depending on the presence or absence of the -ar option there
         are two output formats need to be differentiated.

      Advance Reservation Summary (without -ar)
         Following the header line, a section for  each  AR  is  pro-
         vided. The columns contain information for

         o  the AR id.

         o  the name of the AR.

         o  the current state of the  AR.  One  of  following  states
            'wWrEd".

            w - waiting without error
            W - warning (effective - waiting with error)
            r - running
            E - error (effective - running with error)
            d - deleted

         o  the start time of the AR.

         o  the end time of the AR.

         o  the duration of the AR.

      Detailed Format (with -ar)
         The output contains two columns. The first one contains  all
         AR attributes.  The second one the corresponding value.

    ENVIRONMENTAL VARIABLES
         SGE_ROOT       Specifies the location of the Sun Grid Engine
                        standard configuration files.

         SGE_CELL       If set, specifies the default Sun Grid Engine
                        cell.  To  address  a  Sun  Grid  Engine cell
                        qrstat uses (in the order of precedence):

                             The name of the cell  specified  in  the
                             environment  variable SGE_CELL, if it is
                             set.

                             The  name  of  the  default  cell,  i.e.
                             default.

         SGE_DEBUG_LEVEL
                        If  set,  specifies  that  debug  information
                        should  be written to stderr. In addition the
                        level of detail in which debug information is
                        generated is defined.

         SGE_QMASTER_PORT
                        If set,  specifies  the  tcp  port  on  which
                        sge_qmaster(8) is expected to listen for com-
                        munication requests.  Most installations will
                        use  a  services  map  entry  for the service
                        "sge_qmaster" instead to define that port.

    FILES
         <sge_root>/<cell>/common/act_qmaster
                         Sun Grid Engine master host file
         <sge_root>/<cell>/common/sge_qrstat
                         cluster qrstat default options
         $HOME/.sge_qrstat
                         user qrstat default options

    SEE ALSO
         sge_intro(1), qrsub(1), qrdel(1), qsub(1),

    COPYRIGHT
         See sge_intro(1) for a full statement of rights and  permis-
         sions.